{ lib, config, ... }:
let
  cfg = config.myServices.websites.denise.denisejerome;
  varDir = "/var/lib/ftp/denise/denisejerome";
  env = config.myEnv.websites.denisejerome;
in {
  options.myServices.websites.denise.denisejerome.enable = lib.mkEnableOption "enable Denise Jerome's website";

  config = lib.mkIf cfg.enable {
    services.webstats.sites = [ { name = "denisejerome.piedsjaloux.fr"; } ];

    services.websites.env.production.vhostConfs.denise_denisejerome = {
      certName     = "denise";
      certMainHost = "denisejerome.piedsjaloux.fr";
      hosts        = ["denisejerome.piedsjaloux.fr" ];
      root         = varDir;
      extraConfig  = [
        ''
        Use Stats denisejerome.piedsjaloux.fr

        <Directory ${varDir}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride AuthConfig
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
