{ lib, config, pkgs, ... }:
let
  cfg = config.myServices.websites.denise.production;
in {
  options.myServices.websites.denise.production.enable = lib.mkEnableOption "enable Denise's website";

  config = lib.mkIf cfg.enable {
    services.websites.env.production.vhostConfs.denise_production = {
      certName     = "denise";
      addToCerts   = true;
      hosts        = [ "syanni.eu" "www.syanni.eu" ];
      root         = ../_www;
      extraConfig  = [
        ''
        <Directory ${../_www}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride AuthConfig
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
